package com.bsz.school_send_back_end.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.bsz.school_send_back_end.model.domain.Systemlog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.dto.log.LogQueryRequest;

/**
* @author pc
* @description 针对表【systemlog(系统信息)】的数据库操作Service
* @createDate 2024-09-25 15:40:09
*/
public interface SystemlogService extends IService<Systemlog> {

    /**
     * 获取查询条件
     */
    QueryWrapper<Systemlog> getQueryWrapper(LogQueryRequest logQueryRequest);

}
