package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.User;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.util.DigestUtils;

import javax.annotation.Resource;


/**
 * 用户服务测试
 */

@SpringBootTest
class
UserServiceTest {

    @Resource
    private UserService userService;


    @Test
    void textInsertUser(){
        for (int i = 0; i < 10; i ++ ) {
            User user = new User();
            user.setUsername("bsz" + i + "号");
            user.setUserAccount("bsz" + i + "号");
            user.setAvatarUrl("https://img.zcool.cn/community/01a6095f110b9fa8012066219b67d4.png@1280w_1l_2o_100sh.png");
            user.setGender(0);
            user.setUserPassword("64dafd451f41b8bcb260041b1a0a1551");
            user.setPhone("0000000" + i);
            user.setEmail(i + "00000000@qq.com");
            boolean result = userService.save(user);
            System.out.println("新增用户ID："+user.getId());
            // 断言，判断一下是否符合预期结果。assertTrue：是否保存成功
            Assertions.assertTrue(result);
        }


    }


//    @Test
//    void userRegister() {
////        String userAccount = "yupi1";
////        String userPassword = "12345678";
////        String checkPassword = "12345678";
////
////        long l = userService.userRegister(userAccount, userPassword, checkPassword);
////        Assertions.assertTrue(l > 0);
////        System.out.println(1);
//    }
}